## org.apache.fop.layout
Class RegionArea

    java.lang.Object
      |
      +--org.apache.fop.layout.RegionArea

Direct Known Subclasses:
  BodyRegionArea

public class RegionArea
extends java.lang.Object

Field Summary
`protected ColorType` `backgroundColor`
`protected int` `height`
`protected int` `width`
`protected int` `xPosition`
`protected int` `yPosition`

Constructor Summary
`RegionArea(int xPosition, int yPosition, int width, int height)`

Method Summary
`ColorType` `getBackgroundColor()`
`AreaContainer` `makeAreaContainer()`
`void` `setBackgroundColor(ColorType bgColor)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### xPosition

    protected int xPosition

### yPosition

    protected int yPosition

### width

    protected int width

### height

    protected int height

### backgroundColor

    protected ColorType backgroundColor

Constructor Detail

### RegionArea

    public RegionArea(int xPosition,
                      int yPosition,
                      int width,
                      int height)

Method Detail

### makeAreaContainer

    public AreaContainer makeAreaContainer()

### getBackgroundColor

    public ColorType getBackgroundColor()

### setBackgroundColor

    public void setBackgroundColor(ColorType bgColor)

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.